log4shib 2.0.0

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
log4shib::RollingFileAppender Class Reference

RollingFileAppender is a FileAppender that rolls over the logfile once it has reached a certain size limit. More...

`#include <RollingFileAppender.hh>`

Inheritance diagram for log4shib::RollingFileAppender:
[legend]
Collaboration diagram for log4shib::RollingFileAppender:
[legend]

## Public Member Functions
| RollingFileAppender (const std::string &name, const std::string &fileName, size_t maxFileSize=10 *1024 *1024, unsigned int maxBackupIndex=1, bool append=true, mode_t mode=00644)
virtual void | setMaxBackupIndex (unsigned int maxBackups)
virtual unsigned int | getMaxBackupIndex () const
virtual void | setMaximumFileSize (size_t maxFileSize)
virtual size_t | getMaxFileSize () const
virtual void | rollOver ()
Public Member Functions inherited from log4shib::FileAppender
| FileAppender (const std::string &name, const std::string &fileName, bool append=true, mode_t mode=00644)
| Constructs a FileAppender. More...
| FileAppender (const std::string &name, int fd)
| Constructs a FileAppender to an already open file descriptor. More...
virtual | ~FileAppender ()
virtual bool | reopen ()
| Reopens the logfile. More...
virtual void | close ()
| Closes the logfile. More...
virtual void | setAppend (bool append)
| Sets the append vs truncate flag. More...
virtual bool | getAppend () const
| Gets the value of the 'append' option. More...
virtual void | setMode (mode_t mode)
| Sets the file open mode. More...
virtual mode_t | getMode () const
| Gets the file open mode. More...
Public Member Functions inherited from log4shib::LayoutAppender
| LayoutAppender (const std::string &name)
virtual | ~LayoutAppender ()
virtual bool | requiresLayout () const
| Check if the appender requires a layout. More...
virtual void | setLayout (Layout *layout=NULL)
| Set the Layout for this appender. More...
Public Member Functions inherited from log4shib::AppenderSkeleton
virtual | ~AppenderSkeleton ()
| Destructor for AppenderSkeleton. More...
virtual void | doAppend (const LoggingEvent &event)
| Log in Appender specific way. More...
virtual bool | reopen ()
| Reopens the output destination of this Appender, e.g. More...
virtual void | close ()=0
| Release any resources allocated within the appender such as file handles, network connections, etc. More...
virtual bool | requiresLayout () const =0
| Check if the appender uses a layout. More...
virtual void | setLayout (Layout *layout)=0
| Set the Layout for this appender. More...
virtual void | setThreshold (Priority::Value priority)
| Set the threshold priority of this Appender. More...
virtual Priority::Value | getThreshold ()
| Get the threshold priority of this Appender. More...
virtual void | setFilter (Filter *filter)
| Set a Filter for this appender. More...
virtual Filter * | getFilter ()
| Get the Filter for this appender. More...
Public Member Functions inherited from log4shib::Appender
virtual | ~Appender ()
| Destructor for Appender. More...
virtual void | doAppend (const LoggingEvent &event)=0
| Log in Appender specific way. More...
virtual bool | reopen ()=0
| Reopens the output destination of this Appender, e.g. More...
virtual void | close ()=0
| Release any resources allocated within the appender such as file handles, network connections, etc. More...
virtual bool | requiresLayout () const =0
| Check if the appender uses a layout. More...
virtual void | setLayout (Layout *layout)=0
| Set the Layout for this appender. More...
const std::string & | getName () const
| Get the name of this appender. More...
virtual void | setThreshold (Priority::Value priority)=0
| Set the threshold priority of this Appender. More...
virtual Priority::Value | getThreshold ()=0
| Get the threshold priority of this Appender. More...
virtual void | setFilter (Filter *filter)=0
| Set a Filter for this appender. More...
virtual Filter * | getFilter ()=0
| Get the Filter for this appender. More...

## Protected Member Functions
virtual void | _append (const LoggingEvent &event)
| Log in Appender specific way. More...
virtual void | _append (const LoggingEvent &event)
| Log in Appender specific way. More...
Protected Member Functions inherited from log4shib::LayoutAppender
Layout & | _getLayout ()
| Return the layout of the appender. More...
Protected Member Functions inherited from log4shib::AppenderSkeleton
| AppenderSkeleton (const std::string &name)
| Constructor for AppenderSkeleton. More...
virtual void | _append (const LoggingEvent &event)=0
| Log in Appender specific way. More...
Protected Member Functions inherited from log4shib::Appender
| Appender (const std::string &name)
| Constructor for Appender. More...

## Protected Attributes
unsigned int | _maxBackupIndex
size_t | _maxFileSize
Protected Attributes inherited from log4shib::FileAppender
const std::string | _fileName
int | _fd
int | _flags
mode_t | _mode

## Additional Inherited Members
Public Types inherited from log4shib::LayoutAppender
typedef BasicLayout | DefaultLayoutType
Static Public Member Functions inherited from log4shib::Appender
static Appender * | getAppender (const std::string &name)
| Get a pointer to an exitsing Appender. More...
static bool | reopenAll ()
| Call reopen() on all existing Appenders. More...
static void | closeAll ()
| Call reopen() on all existing Appenders. More...

## Detailed Description

RollingFileAppender is a FileAppender that rolls over the logfile once it has reached a certain size limit.

Since
  0.3.1

## Constructor & Destructor Documentation

## ◆ RollingFileAppender()

log4shib::RollingFileAppender::RollingFileAppender | ( | const std::string & | name,
|  | const std::string & | fileName,
|  | size_t | maxFileSize = `10*1024*1024`,
|  | unsigned int | maxBackupIndex = `1`,
|  | bool | append = `true`,
|  | mode_t | mode = `00644`
| ) |  |

## Member Function Documentation

## ◆ _append()

void log4shib::RollingFileAppender::_append | ( | const LoggingEvent & | event | ) |
| protected virtual

Log in Appender specific way.

Subclasses of Appender should implement this method to perform actual logging.

Parameters

  event | The LoggingEvent to log.

Reimplemented from log4shib::FileAppender.

## ◆ getMaxBackupIndex()

unsigned int log4shib::RollingFileAppender::getMaxBackupIndex | ( |  | ) | const
| virtual

## ◆ getMaxFileSize()

size_t log4shib::RollingFileAppender::getMaxFileSize | ( |  | ) | const
| virtual

## ◆ rollOver()

void log4shib::RollingFileAppender::rollOver | ( |  | ) |
| virtual

## ◆ setMaxBackupIndex()

void log4shib::RollingFileAppender::setMaxBackupIndex | ( | unsigned int | maxBackups | ) |
| virtual

## ◆ setMaximumFileSize()

void log4shib::RollingFileAppender::setMaximumFileSize | ( | size_t | maxFileSize | ) |
| virtual

## Member Data Documentation

## ◆ _maxBackupIndex

unsigned int log4shib::RollingFileAppender::_maxBackupIndex
| protected

## ◆ _maxFileSize

size_t log4shib::RollingFileAppender::_maxFileSize
| protected

The documentation for this class was generated from the following files:

- RollingFileAppender.hh
- RollingFileAppender.cpp